using Assets.Source.Patterns.ObjectPool;
using UnityEngine;

namespace Assets.Source.Misc.Parallax
{
    public class ParallaxObject : MonoBehaviour, IPoolObject
    {
        public float IntervalRadius = 5;

        void OnDrawGizmos()
        {
            Gizmos.color = Color.green.SetAlpha(0.75f);
            Gizmos.DrawWireCube(transform.position, Vector3.one * IntervalRadius * 2);
        }
        
        public void OnSpawnFromPool()
        {
        }

        public void OnReturnToPool()
        {
        }
    }
}
